> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snipp.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Comment

Delete a comment by ID.

## Behavior

* Only the comment author or the post owner can delete a comment.
* Returns the post's updated comment list.

## Examples

```bash theme={null}
curl -X DELETE "https://relay.snipp.gg/comment" \
  -H "relay-key: YOUR_RELAY_KEY" \
  -H "Content-Type: application/json" \
  -d '{"shareCode": "AbCd1234", "commentId": "00000000-0000-4000-8000-000000000000"}'
```

## Responses

Returns the post's updated comment list with the deleted comment removed.

```json theme={null}
{
  "comments": [
    {
      "id": "11111111-1111-4111-8111-111111111111",
      "body": "Still here",
      "userId": "987654321098765432",
      "createdAt": "2026-05-03T12:05:00Z",
      "username": "playertwo",
      "nickname": "Player Two",
      "avatar": "https://i.snipp.gg/avatars/987654321098765432/avatar.png",
      "isVerified": false,
      "plus": false
    }
  ]
}
```
